## org.apache.fop.fo.flow
Class Character

    java.lang.Object
      |
      +--org.apache.fop.fo.FONode
            |
            +--org.apache.fop.fo.FObj
                  |
                  +--org.apache.fop.fo.flow.Character

public class Character
extends FObj

this class represents the flow object 'fo:character'. Its use is defined by the spec: "The fo:character flow object represents a character that is mapped to a glyph for presentation. It is an atomic unit to the formatter. When the result tree is interpreted as a tree of formatting objects, a character in the result tree is treated as if it were an empty element of type fo:character with a character attribute equal to the Unicode representation of the character. The semantics of an "auto" value for character properties, which is typically their initial value, are based on the Unicode codepoint. Overrides may be specified in an implementation-specific manner." (6.6.3)

Inner Class Summary
`static class` `Character.Maker`

Inner classes inherited from class org.apache.fop.fo.FObj
`FObj.Maker`

Field Summary
`static int` `DOESNOT_FIT`
`static int` `OK`

Fields inherited from class org.apache.fop.fo.FObj
`name, properties`

Fields inherited from class org.apache.fop.fo.FONode
`bodyIndent, BREAK_AFTER, children, distanceBetweenStarts, forcedStartOffset, forcedWidth, isInLabel, isInListBody, isInTableCell, labelSeparation, linkSet, marker, orphans, parent, START, widows`

Constructor Summary
`Character(FObj parent, PropertyList propertyList)`

Method Summary
`Status` `layout(Area area)` generates the area or areas for this formatting object and adds these to the area.
`static FObj.Maker` `maker()`

Methods inherited from class org.apache.fop.fo.FObj
`addCharacters, end, generatesReferenceAreas, getContentWidth, getName, getProperty, removeID, start`

Methods inherited from class org.apache.fop.fo.FONode
`addChild, forceStartOffset, forceWidth, getLinkSet, getMarkerSnapshot, getParent, removeAreas, resetMarker, rollback, setBodyIndent, setDistanceBetweenStarts, setIsInLabel, setIsInListBody, setIsInTableCell, setLabelSeparation, setLinkSet, setOrphans, setWidows`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final int OK

### DOESNOT_FIT

    public static final int DOESNOT_FIT

Constructor Detail

### Character

    public Character(FObj parent,
                     PropertyList propertyList)

Method Detail

### maker

    public static FObj.Maker maker()

### layout

    public Status layout(Area area)
                  throws FOPException

  Description copied from class: FObj
  generates the area or areas for this formatting object and adds these to the area. This method should always be overridden by all sub classes
  Overrides:
    layout in class FObj
  Tags copied from class: FObj
  Parameters:
    `area` -

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.